// file      : libbbot/version.hxx.in -*- C++ -*-
// copyright : Copyright (c) 2014-2019 Code Synthesis Ltd
// license   : MIT; see accompanying LICENSE file

#ifndef LIBBBOT_VERSION // Note: using the version macro itself.

// Note: using build2 standard versioning scheme. The numeric version format
// is AAABBBCCCDDDE where:
//
// AAA - major version number
// BBB - minor version number
// CCC - bugfix version number
// DDD - alpha / beta (DDD + 500) version number
// E   - final (0) / snapshot (1)
//
// When DDDE is not 0, 1 is subtracted from AAABBBCCC. For example:
//
// Version      AAABBBCCCDDDE
//
// 0.1.0        0000010000000
// 0.1.2        0000010010000
// 1.2.3        0010020030000
// 2.2.0-a.1    0020019990010
// 3.0.0-b.2    0029999995020
// 2.2.0-a.1.z  0020019990011
//
#define LIBBBOT_VERSION       90000000ULL
#define LIBBBOT_VERSION_STR   "0.9.0"
#define LIBBBOT_VERSION_ID    "0.9.0"

#define LIBBBOT_VERSION_MAJOR 0
#define LIBBBOT_VERSION_MINOR 9
#define LIBBBOT_VERSION_PATCH 0

#define LIBBBOT_PRE_RELEASE   false

#define LIBBBOT_SNAPSHOT      0ULL
#define LIBBBOT_SNAPSHOT_ID   ""

#include <libbutl/version.hxx>

#ifdef LIBBUTL_VERSION
#  if !(LIBBUTL_VERSION >= 90000000ULL && LIBBUTL_VERSION < 99990001ULL)
#    error incompatible libbutl version, libbutl ^0.9.0 is required
#  endif
#endif

#include <libbpkg/version.hxx>

#ifdef LIBBPKG_VERSION
#  if !(LIBBPKG_VERSION >= 90000000ULL && LIBBPKG_VERSION < 99990001ULL)
#    error incompatible libbpkg version, libbpkg ^0.9.0 is required
#  endif
#endif

#endif // LIBBBOT_VERSION
